Start a new topic

Print Layout Thinks It's From a Newer Version

I'm pretty sure I entered a help ticket when I really wanted to post to the forum.  Any way the following is my issue.


I am admittedly on an older version of QW (V5.0 Build 4.11) but I'm having an issue with a print layout.  I cloned a layout that I use all the time.  After cloning I edited the layout to included some static verbiage and a small jpg file.  I saved and everything seemed fine.  I closed QW and opened it later and got the following error:


The Layout File layout06.fpc is from a newer build of QuoteWerks.  You must install the latest build of QuoteWerks in order to use this layout.


This layout was done on V5.0 B4.11 and never on any newer version.  I don't get it??


Hmm, this is most peculiar indeed. Quite how it could get 'tagged' as being from a newer version when you don't have access to one is bizarre.


I'm certainly not aware of any log file, or similar, that we can edit to 'trick' it into thinking it's from the same version.

If you clone a different template, make no changes, save and preview that - does that work?

It's entirely possible that this is a bug, but I'm surprised I've not come across it before.


I'm seeing the following release note, which might have some relevance:


When modifying a print layout (fpc file), that included a change to an image (adding/removing), the file saved would not be able to be re-opened, causing QuoteWerks to shutdown. This issue was introduced in v5.0 Build 4.12.


Is updating QW not an option for you?

So far so good!  At the server I isolated the offending layout file (layout06.fpc).  I then copied a known good layout file into the filename layout06.fpc.  Now I do not have a error when I click deliver.  


Would having gap in the layout filenames have caused the issue??  When this all started we had layout01-05, then a gap, then layout07-08.  Now that I have a layout number from the last number, not one from the middle, everything is OK.

To further clarify the chronology of events...  A co-worker cloned the original layout at his laptop.  Both his laptop and my desktop are running QW sessions pointed to a QW INSTALLATION on a local server.  I then modified the layout then encountered the error.  He later, at his laptop, tried to re-create the layout, after deleting the fpc file from the server, and ran into the same error again.  He then went directly to the server recreated everything it seemed as if the error was behind us.  The following day, while helping a remote user install this layout, I ran into the error again.


I found on the archived forum, the following conversation where someone was having the same sort of error.


http://forums.quotewerks.com/forum/topic.asp?whichpage=1&TOPIC_ID=7969&#14178


Updating isn't really an option.  Although I do have a Version 5 Build 4.44 install file.  Would I run into licensing problems if I updated to the latest build of Version 5 (I'm on V5 B4.11)

Ah, yes, as I thought - it was a bug and was promptly fixed (probably why I don't recall it)


You can update to a version of QuoteWerks that your maintenance key allows.

i.e. if you maintenance key is valid to, say, 01/01/2016 - you can update to any release of QuoteWerks prior to that date in time.


https://www.quotewerks.com/updates/UpdateAgent.asp?show=All

The link above shows all the updates available. Suggest updating to the one that's closest (but more recent) than V5.0 b4.12, which looks to be V5.0 b4.44

How could I verify what date my maintenance key was valid to??  I'm not sure why we're having this problem.  If an update would fix things I'd love to do that but I don't want to cause bigger problems like putting ourselves over a barrel having to pay for an update.


I did notice that the layout in question (layout06.fpc) is out of order on the server.  I just cloned a layout, to make a test, and I got layout09.fpc.  How does the server doll out the layout #'s?

On the version you're running, you can find the Update Maintenance in a file called site.ini (you can open this with notepad). You'll then find a key somewhere in there that will look something like U-xxxxxx-xxxxxxxx-xxxxxx


The bit in green is the date in yymmdd format.


It does appear that you're having the issue as there's a bug in the software, which was promptly fixed.

Layout file names are generated, in the version you're running, by finding the next available layout number.

If you were to clone again, you'd get layout10.fpc



When I look at site.ini there is a key called UpdateKey=U-150602-xxxxxxxx-xxxxxx.  Does that mean I cannot use an update beyond 6/2/2015??  The update V5 B4.44 is dated 7/9/2015 meaning I cannot use that??


The thing that's odd about the layout # assignment is the person who did this got a layout06 and it should have been layout09.  I'll have to try to create what we're trying accomplish now that the server is past layout06.  I know I'm grasping at straws but I'll let you know if this works.

I have known keys still work post update.

It might be worth asking QuoteWerks is they'd be willing to extend the key due to you having a known bug in the version you're running.. no promises, but it's worth a shot?


Do you want to send me the layout (the original, that works) and let me know what you're needing changing.

I can have a look and try it in various builds - I'll also see if I can somehow 'downgrade' the file.

matt@prestigequoting.com

I've made a Layout Test (layout09.fpc) that seems to be free of the error. I'm going to talk to the person who made the layout, giving us the trouble, and get the details and edit my test to match. Assuming this works I;d be happy.  Then we have to delete the layout06 from the server as it causes a error every time you click on "Deliver".


I'll report back if it works.

Login or Signup to post a comment